Bug 491033 (CVE-2009-0844) - CVE-2009-0844 krb5: buffer over-read in SPNEGO GSS-API mechanism (MITKRB5-SA-2009-001)
Summary: CVE-2009-0844 krb5: buffer over-read in SPNEGO GSS-API mechanism (MITKRB5-SA-...
Status: CLOSED ERRATA
Alias: CVE-2009-0844
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=important,source=upstream,repo...
Keywords: Security
Depends On: 490635 490636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-19 02:02 UTC by Vincent Danen
Modified: 2019-06-08 12:43 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-04-09 09:35:10 UTC


Attachments (Terms of Use)
patch to fix MITKRB5-SA-2009-001 issues (CVE-2009-{0844,0845,0847} (2.20 KB, patch)
2009-03-19 02:09 UTC, Vincent Danen
no flags Details | Diff
Updated upstream patch (6.50 KB, patch)
2009-04-03 08:15 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0408 normal SHIPPED_LIVE Important: krb5 security update 2009-04-07 18:47:39 UTC

Description Vincent Danen 2009-03-19 02:02:52 UTC
The MIT krb5 implementation of the SPNEGO GSS-API mechanism can read
beyond the end of a network input buffer.  This can cause a GSS-API
application to crash by reading from invalid address space.  Under
theoretically possible but very unlikely conditions, a small
information leak may occur.  We believe that no successful exploit
exists that could induce an information leak.

Comment 2 Vincent Danen 2009-03-19 02:06:19 UTC
The affected code is not in versions older than krb5 1.5, so only RHEL5 is affected (krb5 1.3.4 is in RHEL4).

Comment 3 Vincent Danen 2009-03-19 02:09:06 UTC
Created attachment 335792 [details]
patch to fix MITKRB5-SA-2009-001 issues (CVE-2009-{0844,0845,0847}

This patch corrects CVE-2009-0844, CVE-2009-0845, and CVE-2009-0846.  Provided by upstream.

Comment 4 Vincent Danen 2009-03-19 02:13:27 UTC
CVE-2009-0845 was previously disclosed, see bug #490634.

Comment 7 Tomas Hoger 2009-04-03 08:15:44 UTC
Created attachment 337997 [details]
Updated upstream patch

Upstream has updated patch for CVE-2009-0844 and CVE-2009-0845, fixing limited buffer over-read possible with previous patch.  Few extra checks were added, and patch for CVE-2009-0845 was changed to provide an error token.

Comment 8 Tomas Hoger 2009-04-07 18:20:52 UTC
Public now via:
  http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2009-001.txt

Comment 9 errata-xmlrpc 2009-04-07 18:47:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0408 https://rhn.redhat.com/errata/RHSA-2009-0408.html

Comment 10 Fedora Update System 2009-04-07 23:23:06 UTC
krb5-1.6.3-16.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-04-07 23:23:26 UTC
krb5-1.6.3-18.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.